package su.yarsu

import org.http4k.core.*
import org.http4k.core.Method.GET
import org.http4k.routing.ResourceLoader
import org.http4k.routing.bind
import org.http4k.routing.routes
import org.http4k.routing.static
import org.http4k.server.Netty
import org.http4k.server.asServer
import su.yarsu.web.handlers.PongHandler

const val SERVER_PORT = 9000

fun router() = routes(
    "/ping" bind GET to PongHandler(),
    static(ResourceLoader.Classpath("/su/yarsu/public")),
)

fun main() {
    val app = router()
    val printingApp: HttpHandler = Filter.NoOp
        .then(app)
    val server = printingApp.asServer(Netty(SERVER_PORT)).start()

    println("Server started on http://localhost:" + server.port())
}
